org.apache.poi.xddf.usermodel.chart

## Enum MarkerStyle

- java.lang.Object
- - java.lang.Enum<MarkerStyle>
  - - org.apache.poi.xddf.usermodel.chart.MarkerStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MarkerStyle>

      public enum MarkerStyle
      extends java.lang.Enum<MarkerStyle>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CIRCLE`
    `DASH`
    `DIAMOND`
    `DOT`
    `NONE`
    `PICTURE`
    `PLUS`
    `SQUARE`
    `STAR`
    `TRIANGLE`
    `X`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarkerStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MarkerStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CIRCLE

          public static final MarkerStyle CIRCLE

    - #### DASH

          public static final MarkerStyle DASH

    - #### DIAMOND

          public static final MarkerStyle DIAMOND

    - #### DOT

          public static final MarkerStyle DOT

    - #### NONE

          public static final MarkerStyle NONE

    - #### PICTURE

          public static final MarkerStyle PICTURE

    - #### PLUS

          public static final MarkerStyle PLUS

    - #### SQUARE

          public static final MarkerStyle SQUARE

    - #### STAR

          public static final MarkerStyle STAR

    - #### TRIANGLE

          public static final MarkerStyle TRIANGLE

    - #### X

          public static final MarkerStyle X

  - ### Method Detail

    - #### values

          public static MarkerStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarkerStyle c : MarkerStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarkerStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.